<%@ Page Language="C#" AutoEventWireup="true"   Inherits="Helpdesk.helpdesk.DF_Ticket" %>

<!DOCTYPE html>  
<html  >
<head runat="server">
    <title></title>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0"> 
   <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet" />     
     <script src="../Javascript/jquery-1.9.1.min.js"></script>
    <script src="../bootstrap/js/bootstrap.min.js"></script>

</head>
<body style="margin:10px;"  >
    

    <form id="form1" runat="server">
    <div class="dfblock">
        
                  
  <asp:Label Visible="false" runat="server" ID="title"></asp:Label> 
        
        
        <div style="margin:5px;" id="opt">        
            
            <asp:RadioButtonList
            
             runat="server" ClientIDMode="Static" ID="ddl_totalpoint" RepeatColumns="1" RepeatDirection="Horizontal">
            <asp:ListItem Text="非常满意"   Value="5"></asp:ListItem>
               <asp:ListItem Text="满意" Value="4"></asp:ListItem> 
              <asp:ListItem Text="一般" Value="3"></asp:ListItem>
              <asp:ListItem Text="不满意" Value="2"></asp:ListItem>
            <asp:ListItem Text="非常不满意" Value="1"></asp:ListItem>

        </asp:RadioButtonList>
   </div>
     
        
           备注：<br />
        <asp:TextBox runat="server" ID="txt_note"  ClientIDMode="Static" TextMode="MultiLine" CssClass="form-control" Height="60px"  ></asp:TextBox>
        <br /> 
        
       <div style="margin:0 auto; width:300px; text-align:center">
          <asp:Button ID="btnSubmit" CssClass="btn btn-sm btn-success"
              
               OnClientClick="if(!issel()){return false;}"
                runat="server" Text="确定"  OnClick="btnSubmit_Click" />
        </div>

       

        <script>

            function issel() {

                var c = $("#opt input[type=radio]:checked").length;
                var reason = $("#txt_note").val();


                if (c > 0) {
                    //选择了

                    var point = $("#opt input[type=radio]:checked").val();

                    if (point < 3) {

                        if (reason == "") {
                            alert("请填写不满意原因");
                            return false;
                        }

                    }

                    return true;
                }

                alert("请选择满意度");
                return false;

            }

        </script>


    </div>
    </form>
</body>
</html>